#
# spec file for package libepoxy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libepoxy
%define sonum	0
Version:        1.3.1
Release:        5.4
Summary:        OpenGL function pointer management library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            https://github.com/anholt/libepoxy
Source:         https://github.com/anholt/%{name}/archive/v%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  autoconf >= 2.60
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  python3
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Epoxy is a library for handling OpenGL function pointer management for you.

It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),
eglGetProcAddress(), etc. from the app developer, with very little knowledge
needed on their part. They get to read GL specs and write code using undecorated
function names like glCompileShader().

%package -n %{name}%{sonum}
Summary:        OpenGL function pointer management library
Group:          Development/Libraries/C and C++

%description -n %{name}%{sonum}
Epoxy is a library for handling OpenGL function pointer management for you.

It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),
eglGetProcAddress(), etc. from the app developer, with very little knowledge
needed on their part. They get to read GL specs and write code using undecorated
function names like glCompileShader().

%package devel
Summary:        Development files for libepoxy
Group:          Development/Libraries/C and C++
Requires:       %{name}%{sonum} = %{version}

%description devel
Epoxy is a library for handling OpenGL function pointer management for you.

It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),
eglGetProcAddress(), etc. from the app developer, with very little knowledge
needed on their part. They get to read GL specs and write code using undecorated
function names like glCompileShader().

Development files.

%prep
%setup -q -n %{name}-%{version}

%build
if [ ! -e configure ]; then
	NOCONFIGURE=1 ./autogen.sh;
fi;
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot";
rm -f "%buildroot/%{_libdir}"/*.la

%post   -n %{name}%{sonum} -p /sbin/ldconfig

%postun -n %{name}%{sonum} -p /sbin/ldconfig

%files -n %{name}%{sonum}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libepoxy.so.*

%files devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc
%{_includedir}/epoxy/

%changelog
* Mon Jul 20 2015 hrvoje.senjan@gmail.com
- Update to 1.3.1
  * brown-paper-bag fix to unexport another private symbol that we'd
    leaked, noticed when I went diffing the exported symbols between
    v1.2 and v1.3 for the debian build.
- Changes since 1.3.0:
  * MSVC 2013 support.
  * OSX drops GLX support.
  * Updates to the registry
  * Fixes for a nonconformant GL implementation
  * Library size reductions
  * Reproducible builds
- Drop u_sort-the-providers-by-their-enum-not-by-their-functi.patch,
  merged upstream
* Thu Mar 26 2015 zaitor@opensuse.org
- Add baselibs.conf in order to build 32bit packages.
* Thu Feb 12 2015 sndirsch@suse.com
- u_sort-the-providers-by-their-enum-not-by-their-functi.patch
  * sort the providers by their enum not by their function name;
    patch by coolo (bnc#917533)
* Sat May 17 2014 hrvoje.senjan@gmail.com
- Update to 1.2
  * This is a bugfix and feature release. On the feature side of
  things, it brings in an updated registry with support for
  GLES 3.1 and EGL 1.5, along with miscellaneous other extensions,
  and many more aliases for GLES functions. On the bugfix side,
  it should be much more portable to non-Mesa drivers (nvidia binary
  in particular) and systems with mixed Mesa and non-Mesa drivers,
  and actually install the wgl headers in the windows build.
- Explicitly BuildRequire pkgconfig(x11), and don't count other
  packages drag it in
- Drop git_fixes.patch, merged upstream
* Wed Feb 26 2014 hrvoje.senjan@gmail.com
- Init libepoxy package
